// StockClient.java 
// the simplest CORBA client just to make sure that server works

import DreamStocks.*;
import org.omg.CORBA.*;

public class StockClient
{

	public static void main (String args[])
	{
	    try {
	        System.out.println ("Initialzing the ORB ...");
		ORB orb = ORB.init ();
		BOA boa = orb.BOA_init ();

		System.out.println ("Binding ...");
		StockMarket market = StockMarketHelper.bind (orb);
		System.out.println ("Maring remote invokation on get_quote ...");
		try {
		    System.out.println ("Price of NSCP is " + market.get_quote ("NSCP"));
		}
		catch (org.omg.CORBA.UserException e) {}

		System.out.println ("Detailed stock market data on NSCP is " + market.get_extended_quote ("NSCP"));

		System.out.println ("Weekly stock market data on NSCP is:");
		float [] w = market.get_weekly_quote ("NSCP");
		for (int i = 0; i < 7; i++)
			System.out.println ("  " + w[i]);

		System.out.println ("NSCP current raiting is: " + market.get_raiting ("NSCP"));

		StockAlert sa = new StockAlert ("StockAlert1");
		boa.obj_is_ready (sa);

		market.setupStockAlert (sa);

		try {
		    System.out.println ("Price of NSCP is " + market.get_quote ("NSCP"));
		}
		catch (org.omg.CORBA.UserException e) {}

		market.removeStockAlert ();
		
	    }
	    catch (SystemException e)
	    {
		System.err.println (e);
	    }
	}
}	
